Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Why does dev-haskell/lens ebuild depend on EAPI=5 and ghc >= 7.6.1? #179

Closed
exbb2 opened this Issue · 5 comments

2 participants

@exbb2

lens-3.0.6 builds and works fine for me on ghc-7.4.1.

@trofi
Owner

I've added output to recent hackport to guess minimal ghc:

$ hackport merge lens
rejecting dep: ghc-6.10.4 as ["array >=0.3.0.2 && <0.5","base >=4.4 && <5","bytestring >=0.9.1.10 && <0.11","containers >=0.4.2 && <0.6","filepath >=1.2.0.0 && <1.4","template-haskell >=2.4 && <2.9"] were not found.
rejecting dep: ghc-6.12.1 as ["array >=0.3.0.2 && <0.5","base >=4.4 && <5","bytestring >=0.9.1.10 && <0.11","containers >=0.4.2 && <0.6","filepath >=1.2.0.0 && <1.4"] were not found.
rejecting dep: ghc-6.12.2 as ["array >=0.3.0.2 && <0.5","base >=4.4 && <5","bytestring >=0.9.1.10 && <0.11","containers >=0.4.2 && <0.6","filepath >=1.2.0.0 && <1.4"] were not found.
rejecting dep: ghc-6.12.3 as ["array >=0.3.0.2 && <0.5","base >=4.4 && <5","bytestring >=0.9.1.10 && <0.11","containers >=0.4.2 && <0.6","filepath >=1.2.0.0 && <1.4"] were not found.
rejecting dep: ghc-7.0.1 as ["base >=4.4 && <5","bytestring >=0.9.1.10 && <0.11","containers >=0.4.2 && <0.6"] were not found.
rejecting dep: ghc-7.4.2 as ["bytestring >=0.9.1.10 && <0.11"] were not found.
accepting dep: ghc-7.6.1

this line is an error:
rejecting dep: ghc-7.4.2 as ["bytestring >=0.9.1.10 && <0.11"] were not found.

ghc-7.4.2 hac bytestring 0.9.2.1

I'll fix in in an hour.

Thanks!

@trofi
Owner

Pushed the change as 68c212e

rejecting dep: ghc-7.0.1 as ["base >=4.4 && <5","bytestring >=0.9.1.10 && <0.11","containers >=0.4.2 && <0.6"] were not found.
accepting dep: ghc-7.4.2

@trofi trofi closed this
@exbb2

@trofi Why 7.4.2? It works fine on 7.4.1.

@trofi
Owner

Ah, hackport does not know about 7.4.1 at all.
I'll add a set of bundled libs to 7.4.1 as well
and regenerate this ebuild.

@trofi
Owner

Pushed as: 338e7c9

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.